package com.yideb.audit.entity.vo;

import lombok.Data;

/**
 * <b>Application name：</b> yideb-audit-statistic <br>
 * <b>Application describing： </b> <br>
 * <b>Copyright：</b> Copyright &copy; 2019 明医众禾科技（北京）有限责任公司 版权所有。<br>
 * <b>Company：</b> 明医众禾科技（北京）有限责任公司 <br>
 * <b>@Date：</b> 2020/8/5 16:58 <br>
 * <b>@author：</b> <a href="mailto:Lijing@miyzh.com"> Lijing </a> <br>
 */
@Data
public class TopDataVo {

	/**
	 * 累计药店注册数量
	 */
	private Integer totalClinicRegCount;

	/**
	 * 累计处方总量
	 */
	private Integer auditCount;

	/**
	 * 本周注册药店
	 */
	private Integer weekClinicRegCount;

	/**
	 * 今日处方总量
	 */
	private Integer todayAuditCount;

	/**
	 * 今日药店数量 (发生业务数据的)
	 */
	private Integer todayClinicCount;

	/**
	 * 今日医生数量 (发生业务数据的)
	 */
	private Integer todayDoctorCount;

	/**
	 * 今日药师数量 (发生业务数据的)
	 */
	private Integer todayPharmacistCount;
}
