package com.yideb.audit.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.yideb.audit.dao.TopDataMapper;
import com.yideb.audit.service.ITopDataService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * <b>Application name：</b> yideb-audit-statistic <br>
 * <b>Application describing： </b> <br>
 * <b>Copyright：</b> Copyright &copy; 2019 明医众禾科技（北京）有限责任公司 版权所有。<br>
 * <b>Company：</b> 明医众禾科技（北京）有限责任公司 <br>
 * <b>@Date：</b> 2020/8/5 18:41 <br>
 * <b>@author：</b> <a href="mailto:Lijing@miyzh.com"> Lijing </a> <br>
 */
@DS("audit")
@Service
public class ITopDataServiceImpl implements ITopDataService {

	@Resource
	private TopDataMapper topDataMapper;

	@Override
	public Integer queryClinicRegCount(String startTime, String endTime) {
		return topDataMapper.queryClinicRegCount(startTime, endTime);
	}

	@Override
	public Integer queryAuditCount(String startTime, String endTime) {
		return topDataMapper.queryAuditCount(startTime, endTime);
	}

	@Override
	public Integer queryClinicCount(String startTime, String endTime) {
		return topDataMapper.queryClinicCount(startTime, endTime);
	}

	@Override
	public Integer queryDoctorCount(String startTime, String endTime) {
		return topDataMapper.queryDoctorCount(startTime, endTime);
	}

	@Override
	public Integer queryPharmacistCount(String startTime, String endTime) {
		return topDataMapper.queryPharmacistCount(startTime, endTime);
	}
}
